/**
 * iOS 6 style switch checkboxes
 * by Lea Verou http://lea.verou.me
 */
/* line 7, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/vendor/assets/stylesheets/toggle-slider.css.scss */
.toggle-slider:hover {
  cursor: pointer !important;
}
/* line 11, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/vendor/assets/stylesheets/toggle-slider.css.scss */
.toggle-slider input[type="checkbox"] {
  /* :root here acting as a filter for older browsers */
  position: absolute;
  opacity: 0;
}
/* line 16, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/vendor/assets/stylesheets/toggle-slider.css.scss */
.toggle-slider input[type="checkbox"].ios-switch + div {
  display: inline-block;
  vertical-align: middle;
  width: 3em;
  height: 1em;
  border: 1px solid rgba(0, 0, 0, 0.3);
  margin: 0 .5em;
  background: white;
  background-image: linear-gradient(rgba(0, 0, 0, 0.1), transparent), linear-gradient(90deg, #3d99f5 50%, transparent 50%);
  background-size: 200% 100%;
  background-position: 100% 0;
  background-origin: border-box;
  background-clip: border-box;
  overflow: hidden;
  transition-duration: .4s;
  transition-property: padding, width, background-position, text-indent;
  box-shadow: 0 0.1em 0.1em rgba(0, 0, 0, 0.2) inset, 0 0.45em 0 0.1em rgba(0, 0, 0, 0.05) inset;
  font-size: 150%;
  /* change this and see how they adjust! */
}
/* line 38, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/vendor/assets/stylesheets/toggle-slider.css.scss */
.toggle-slider input[type="checkbox"].ios-switch:checked + div {
  padding-left: 2em;
  width: 1em;
  background-position: 0 0;
}
/* line 43, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/vendor/assets/stylesheets/toggle-slider.css.scss */
.toggle-slider input[type="checkbox"].ios-switch + div:before {
  content: 'On';
  float: left;
  width: 1.65em;
  height: 1.65em;
  margin: -.1em;
  border: 1px solid rgba(0, 0, 0, 0.35);
  border-radius: inherit;
  background: white;
  background-image: linear-gradient(rgba(0, 0, 0, 0.2), transparent);
  box-shadow: 0 0.1em 0.1em 0.1em rgba(255, 255, 255, 0.8) inset, 0 0 0.5em rgba(0, 0, 0, 0.3);
  color: white;
  text-shadow: 0 -1px 1px rgba(0, 0, 0, 0.3);
  text-indent: -2.5em;
}
/* line 59, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/vendor/assets/stylesheets/toggle-slider.css.scss */
.toggle-slider input[type="checkbox"].ios-switch:active + div:before {
  background-color: #eee;
}
/* line 63, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/vendor/assets/stylesheets/toggle-slider.css.scss */
.toggle-slider input[type="checkbox"].ios-switch:focus + div {
  box-shadow: 0 0.1em 0.1em rgba(0, 0, 0, 0.2) inset, 0 0.45em 0 0.1em rgba(0, 0, 0, 0.05) inset, 0 0 0.4em 1px rgba(255, 0, 0, 0.5);
}
/* line 70, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/vendor/assets/stylesheets/toggle-slider.css.scss */
.toggle-slider input[type="checkbox"].ios-switch + div:before,
.toggle-slider input[type="checkbox"].ios-switch + div:after {
  font: bold 60%/1.9 sans-serif;
  text-transform: uppercase;
}
/* line 75, /home/jenkins/workspace/Release-Build-Debian-Source-Package/pro/ui/vendor/assets/stylesheets/toggle-slider.css.scss */
.toggle-slider input[type="checkbox"].ios-switch + div:after {
  content: 'Off';
  float: left;
  text-indent: .5em;
  color: rgba(0, 0, 0, 0.45);
  text-shadow: none;
}
